//+------------------------------------------------------------------+
//|                                            DevDestination_v2.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
extern double price = 1.2121;
extern int dev = 10;
extern double devSLRatio = 2;
extern double devRatio = 1.0;
extern bool short = true;

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  ObjectDelete("STOP LOSS");
   ObjectDelete("TP 1");
   ObjectDelete("TP 2");
   ObjectDelete("TP 3");
   ObjectDelete("BASE STOP LOSS");
   ObjectDelete("TAKE PROFIT LVL 1");
   ObjectDelete("TAKE PROFIT LVL 2");
   ObjectDelete("TAKE PROFIT LVL 3");
   ObjectDelete("OPEN PRICE");
   ObjectDelete("ORDER OPEN PRICE");
   ObjectDelete("SHORT STOP LOSS");
   ObjectDelete("SHORT STOP LOSS LINE");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("STOP LOSS");
   ObjectDelete("TP 1");
   ObjectDelete("TP 2");
   ObjectDelete("TP 3");
   ObjectDelete("BASE STOP LOSS");
   ObjectDelete("TAKE PROFIT LVL 1");
   ObjectDelete("TAKE PROFIT LVL 2");
   ObjectDelete("TAKE PROFIT LVL 3");
   ObjectDelete("OPEN PRICE");
   ObjectDelete("ORDER OPEN PRICE");
   ObjectDelete("SHORT STOP LOSS");
   ObjectDelete("SHORT STOP LOSS LINE");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
 if(short)
 {
 drawLine(price+(devSLRatio*dev*Point),"STOP LOSS LINE",Red,1);
 drawLabel("BASE STOP LOSS",price+(devSLRatio*dev*Point),Red);
 
 drawLine(price+((devSLRatio/2)*dev*Point),"SHORT STOP LOSS LINE",Red,0);
 drawLabel("SHORT STOP LOSS",price+((devSLRatio/2)*dev*Point),Red);
 
 drawLine(price-(devRatio*dev*Point),"TP 1",DarkGreen,0);
 drawLabel("TAKE PROFIT LVL 1",price-(devRatio*dev*Point),DarkGreen);
 
 drawLine(price-(devRatio*2*dev*Point),"TP 2",Green,0);
 drawLabel("TAKE PROFIT LVL 2",price-(2*devRatio*dev*Point),Green);
 
 drawLine(price-(devRatio*3*dev*Point),"TP 3",Lime,2);
  drawLabel("TAKE PROFIT LVL 3",price-(3*devRatio*dev*Point),Lime);
 }
 else
 {
 drawLine(price-(devSLRatio*dev*Point),"STOP LOSS LINE",Red,1);
 drawLabel("BASE STOP LOSS",price-(devSLRatio*dev*Point),Red);
 
 drawLine(price-((devSLRatio/2)*dev*Point),"SHORT STOP LOSS LINE",Red,0);
 drawLabel("SHORT STOP LOSS",price-((devSLRatio/2)*dev*Point),Red);
 
 drawLine(price+(devRatio*dev*Point),"TP 1",DarkGreen,0);
 drawLabel("TAKE PROFIT LVL 1",price+(devRatio*dev*Point),DarkGreen);
 
 drawLine(price+(devRatio*2*dev*Point),"TP 2",Green,0);
 drawLabel("TAKE PROFIT LVL 2",price+(2*devRatio*dev*Point),Green);
 
 drawLine(price+(devRatio*3*dev*Point),"TP 3",Lime,2);
 drawLabel("TAKE PROFIT LVL 3",price+(3*devRatio*dev*Point),Lime);
 }
 
 drawLine(price,"OPEN PRICE",LightSeaGreen,2);
 drawLabel("ORDER OPEN PRICE",price,LightSeaGreen);
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 8, "Arial", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}



void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else if(type == 2)
            ObjectSet(name, OBJPROP_STYLE, STYLE_DASHDOT);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,1);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else if(type == 2)
            ObjectSet(name, OBJPROP_STYLE, STYLE_DASHDOT);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,1);
          
         }
}

//+------------------------------------------------------------------+